## wine-staging-1.7.29.tar.gz

=== patches/Makefile ===
#
# This file is automatically generated, DO NOT EDIT!
#

.NOTPARALLEL:

CURDIR    ?= ${.CURDIR}
PATCH     := $(CURDIR)/../debian/tools/gitapply.sh
APPLY      = (cd "$(DESTDIR)" && $(PATCH))
APPLY_FILE = @echo "Applying $(1)"; $(APPLY) < "$(CURDIR)/$(1)"

#
# This Makefile understands the following targets:
#
# install (default):  apply patches to directory provided by DESTDIR
# install-git:        as above, but use 'git am' to apply the patches
# series:             create a 'series' file containing the patch order
# clean:              delete autogenerated and temporary files
#

PATCHLIST := \
	Compholio.ok \
	Miscellaneous.ok \
	Pipelight.ok \
	atl-IOCS_Property.ok \
	comctl32-LoadIconMetric.ok \
	configure-Absolute_RPATH.ok \
	configure-Detect_Gnutls.ok \
	d3dx9_36-GetShaderSemantics.ok \
	d3dx9_36-UpdateSkinnedMesh.ok \
	dbghelp-KdHelp.ok \
	dsound-Fast_Mixer.ok \
	fonts-Missing_Fonts.ok \
	gdi32-MultiMonitor.ok \
	imagehlp-BindImageEx.ok \
	imm32-Cross_Thread_Access.ok \
	iphlpapi-TCP_Table.ok \
	kernel32-FindFirstFile.ok \
	kernel32-GetFinalPathNameByHandle.ok \
	kernel32-GetNumaProcessorNode.ok \
	kernel32-GetSystemTimes.ok \
	kernel32-GetVolumePathName.ok \
	kernel32-Named_Pipe.ok \
	kernel32-UTF7_Support.ok \
	libs-Unicode_Collation.ok \
	libwine-BSD_mmap_fixed.ok \
	mshtml-sessionStorage.ok \
	msvcp90-basic_string_wchar_dtor.ok \
	ntdll-ATL_Thunk.ok \
	ntdll-DOS_Attributes.ok \
	ntdll-Dynamic_DST.ok \
	ntdll-Exception.ok \
	ntdll-FD_Cache.ok \
	ntdll-FileDispositionInformation.ok \
	ntdll-Fix_Alignment.ok \
	ntdll-Fix_Free.ok \
	ntdll-Heap_FreeLists.ok \
	ntdll-Junction_Points.ok \
	ntdll-NtQuerySection.ok \
	ntdll-Pipe_SpecialCharacters.ok \
	ntdll-WRITECOPY.ok \
	ntoskrnl-Irp_Status.ok \
	quartz-MediaSeeking_Positions.ok \
	riched20-IText_Interface.ok \
	server-ACL_Compat.ok \
	server-Address_Change_Notification.ok \
	server-CreateProcess_ACLs.ok \
	server-Inherited_ACLs.ok \
	server-Misc_ACL.ok \
	server-OpenProcess.ok \
	server-Stored_ACLs.ok \
	setupapi-SetupPromptForDisk.ok \
	shdocvw-ParseURLFromOutsideSource_Tests.ok \
	shell32-Default_Folder_ACLs.ok \
	shell32-Default_Path.ok \
	shell32-Icons.ok \
	shell32-RunDLL_CallEntry16.ok \
	shell32-SHCreateSessionKey.ok \
	shell32-SHFileOperation.ok \
	shlwapi-PathIsDirectoryEmptyW.ok \
	shlwapi-UrlCombine.ok \
	user32-Dialog_Paint_Event.ok \
	user32-GetSystemMetrics.ok \
	user32-GetTipText.ok \
	user32-WndProc.ok \
	wine.inf-ProductId.ok \
	wineboot-HKEY_DYN_DATA.ok \
	winebuild-LinkerVersion.ok \
	wined3d-DXTn.ok \
	wined3d-Revert_PixelFormat.ok \
	winemenubuilder-Desktop_Icon_Path.ok \
	winepulse-PulseAudio_Support.ok \
	winex11-CandidateWindowPos.ok \
	winex11-Limited_Resolutions.ok \
	winex11-Window_Groups.ok \
	winex11-XEMBED.ok \
	winex11-wglShareLists.ok \
	wpcap-Dynamic_Linking.ok \
	ws2_32-Connect_Time.ok \
	ws2_32-TransmitFile.ok \
	ws2_32-inet_pton.ok \
	wtsapi32-EnumerateProcesses.ok

.PHONY: install
install: $(PATCHLIST)
	cat *.ok | sort | $(CURDIR)/../debian/tools/patchlist.sh | $(APPLY)
	cd $(DESTDIR) && autoreconf -f
	cd $(DESTDIR) && ./tools/make_requests

.PHONY: install-git
install-git: PATCH := git am
install-git: install

series: APPLY_FILE = @echo "$(1)" >> series
series: $(PATCHLIST)
	@cat *.ok | sort | $(CURDIR)/../debian/tools/patchlist.sh > patchlist.diff
	@echo "patchlist.diff" >> series
	@( \
		echo ""; \
		echo "The 'series' file was created in current directory. Please note that"; \
		echo "'patchlist.diff' is autogenerated based on your selection of patches and not"; \
		echo "included in this repository - keep in mind to update it on every release."; \
		echo ""; \
		echo "Moreover, depending on which patches you have selected, you will have to run"; \
		echo "'autoreconf -f' and/or './tools/make_requests' after applying them."; \
		echo ""; \
		binary=0; \
		while IFS= read -r line; do \
			if grep -q "^GIT binary patch" "$$line"; then \
				binary=1; break; \
			fi \
		done < series; \
		if [ "$$binary" -ne 0 ]; then \
			echo "The following files contain binary patches and cannot be applied with the"; \
			echo "regular 'patch' commandline tool:"; \
			echo ""; \
			while IFS= read -r line; do \
				grep -q "^GIT binary patch" "$$line" && echo "$$line"; \
			done < series; \
			echo ""; \
			echo "Please use 'git apply' or '../debian/tools/gitapply.sh' from this repository."; \
			echo ""; \
		fi \
	)

.PHONY: clean
clean:
	rm -f series patchlist.diff
	rm -f *.ok

# Patchset Compholio
# |
# | Included patches:
# |   *	Add winediag message to show warning, that this isn't vanilla wine. [by Sebastian Lackner]
# |   *	Append '(Compholio)' at the end of the version string. [by Sebastian Lackner]
# |   *	Add commandline option --patches to show the patch list. [by Sebastian Lackner]
# |   *	Add commandline option --check-libs to test if shared libraries are installed. [by Michael Müller]
# |
# | Modified files:
# |   *	dlls/kernel32/process.c, dlls/ntdll/misc.c, dlls/ntdll/ntdll.spec, include/wine/library.h, libs/wine/Makefile.in,
# | 	libs/wine/config.c, libs/wine/loader.c, libs/wine/wine.def, libs/wine/wine.map, loader/main.c
# |
.INTERMEDIATE: Compholio.ok
Compholio.ok:
	$(call APPLY_FILE,Compholio/0001-kernel32-Add-winediag-message-to-show-warning-that-t.patch)
	$(call APPLY_FILE,Compholio/0002-winelib-Append-Compholio-at-the-end-of-the-version-s.patch)
	$(call APPLY_FILE,Compholio/0003-loader-Add-commandline-option-patches-to-show-the-pa.patch)
	$(call APPLY_FILE,Compholio/0004-loader-Add-commandline-option-check-libs.patch)
	@( \
		echo '+    { "Compholio", "Sebastian Lackner", "Add winediag message to show warning, that this isn'\''t vanilla wine." },'; \
		echo '+    { "Compholio", "Sebastian Lackner", "Append '\''(Compholio)'\'' at the end of the version string." },'; \
		echo '+    { "Compholio", "Sebastian Lackner", "Add commandline option --patches to show the patch list." },'; \
		echo '+    { "Compholio", "Michael Müller", "Add commandline option --check-libs to test if shared libraries are installed." },'; \
	) > Compholio.ok

# Patchset Miscellaneous
# |
# | Included patches:
# |   *	kernel32: Silence repeated CompareStringEx FIXME. [by Sebastian Lackner]
# |   *	wined3d: Silence repeated resource_check_usage FIXME. [rev 2, by Erich E. Hoover]
# |   *	wined3d: Silence repeated wined3d_swapchain_present FIXME. [by Sebastian Lackner]
# |   *	usp10: Silence repeated GSUB_apply_ChainContext[Subst|Pos] FIXMEs. [by Sebastian Lackner]
# |   *	Appease the blessed version of gcc (4.5) when -Werror is enabled. [by Erich E. Hoover]
# |   *	Appease the Archlinux version of gcc (4.9.1) when -Werror is enabled. [by Sebastian Lackner]
# |   *	Silence Clang warning by removing unused TransformFilter_Vtbl. [by Amine Khaldi]
# |
# | Modified files:
# |   *	dlls/d3d9/tests/visual.c, dlls/kernel32/locale.c, dlls/msvcp90/ios.c, dlls/msvcp90/locale.c, dlls/msvcp90/string.c,
# | 	dlls/netapi32/netapi32.c, dlls/strmbase/transform.c, dlls/usp10/opentype.c, dlls/winealsa.drv/mmdevdrv.c,
# | 	dlls/wined3d/glsl_shader.c, dlls/wined3d/resource.c, dlls/wined3d/swapchain.c, tools/makedep.c
# |
.INTERMEDIATE: Miscellaneous.ok
Miscellaneous.ok:
	$(call APPLY_FILE,Miscellaneous/0001-wined3d-Silence-repeated-resource_check_usage-FIXME.patch)
	$(call APPLY_FILE,Miscellaneous/0002-kernel32-Silence-repeated-CompareStringEx-FIXME.patch)
	$(call APPLY_FILE,Miscellaneous/0003-wined3d-Silence-repeated-wined3d_swapchain_present-F.patch)
	$(call APPLY_FILE,Miscellaneous/0004-usp10-Silence-repeated-GSUB_apply_ChainContext-Subst.patch)
	$(call APPLY_FILE,Miscellaneous/0005-Appease-the-blessed-version-of-gcc-4.5-when-Werror-i.patch)
	$(call APPLY_FILE,Miscellaneous/0006-Appease-the-Archlinux-version-of-gcc-4.9.1-when-Werr.patch)
	$(call APPLY_FILE,Miscellaneous/0007-strmbase-Remove-unused-TransformFilter_Vtbl-Clang.patch)
	@( \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "kernel32: Silence repeated CompareStringEx FIXME." },'; \
		echo '+    { "Miscellaneous", "Erich E. Hoover", "wined3d: Silence repeated resource_check_usage FIXME. [rev 2]" },'; \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "wined3d: Silence repeated wined3d_swapchain_present FIXME." },'; \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "usp10: Silence repeated GSUB_apply_ChainContext[Subst|Pos] FIXMEs." },'; \
		echo '+    { "Miscellaneous", "Erich E. Hoover", "Appease the blessed version of gcc (4.5) when -Werror is enabled." },'; \
		echo '+    { "Miscellaneous", "Sebastian Lackner", "Appease the Archlinux version of gcc (4.9.1) when -Werror is enabled." },'; \
		echo '+    { "Miscellaneous", "Amine Khaldi", "Silence Clang warning by removing unused TransformFilter_Vtbl." },'; \
	) > Miscellaneous.ok

# Patchset Pipelight
# |
# | Included patches:
# |   *	Decrease minimum SetTimer interval to 5 ms. [rev 2, by Michael Müller]
# |   *	Allow changing strict draw ordering through an exported function. [by Michael Müller]
# |   *	Indicate direct rendering through OpenGL extension. [by Michael Müller]
# |   *	Implement X11DRV_FLUSH_GDI_DISPLAY ExtEscape command. [by Sebastian Lackner]
# |
# | Modified files:
# |   *	dlls/user32/message.c, dlls/wined3d/wined3d.spec, dlls/wined3d/wined3d_main.c, dlls/winex11.drv/init.c,
# | 	dlls/winex11.drv/opengl.c, dlls/winex11.drv/x11drv.h
# |
.INTERMEDIATE: Pipelight.ok
Pipelight.ok:
	$(call APPLY_FILE,Pipelight/0001-winex11-Implement-X11DRV_FLUSH_GDI_DISPLAY-ExtEscape-c.patch)
	$(call APPLY_FILE,Pipelight/0002-user32-Decrease-minimum-SetTimer-interval-to-5-ms.patch)
	$(call APPLY_FILE,Pipelight/0003-wined3d-allow-changing-strict-drawing-through-an-exp.patch)
	$(call APPLY_FILE,Pipelight/0004-winex11.drv-Indicate-direct-rendering-through-OpenGL.patch)
	@( \
		echo '+    { "Pipelight", "Michael Müller", "Decrease minimum SetTimer interval to 5 ms. [rev 2]" },'; \
		echo '+    { "Pipelight", "Michael Müller", "Allow changing strict draw ordering through an exported function." },'; \
		echo '+    { "Pipelight", "Michael Müller", "Indicate direct rendering through OpenGL extension." },'; \
		echo '+    { "Pipelight", "Sebastian Lackner", "Implement X11DRV_FLUSH_GDI_DISPLAY ExtEscape command." },'; \
	) > Pipelight.ok

# Patchset atl-IOCS_Property
# |
# | Included patches:
# |   *	Store IOCS data in a property instead of GWLP_USERDATA. [by Qian Hong]
# |
# | This patchset fixes the following Wine bugs:
# |   *	[#21767] ATL IOCS data should not be stored in GWLP_USERDATA
# |
# | Modified files:
# |   *	dlls/atl/atl_ax.c
# |
.INTERMEDIATE: atl-IOCS_Property.ok
atl-IOCS_Property.ok:
	$(call APPLY_FILE,atl-IOCS_Property/0001-atl-Don-t-use-GWLP_USERDATA-to-store-IOCS-to-avoid-c.patch)
	@( \
		echo '+    { "atl-IOCS_Property", "Qian Hong", "Store IOCS data in a property instead of GWLP_USERDATA." },'; \
	) > atl-IOCS_Property.ok

# Patchset comctl32-LoadIconMetric
# |
# | Included patches:
# |   *	Implement LoadIconMetric function. [by Michael Müller]
# |
# | This patchset fixes the following Wine bugs:
# |   *	[#35375] Support for LoadIconMetric
# |
# | Modified files:
# |   *	dlls/comctl32/Makefile.in, dlls/comctl32/comctl32.spec, dlls/comctl32/icon.c, dlls/comctl32/tests/misc.c,
# | 	include/commctrl.h
# |
.INTERMEDIATE: comctl32-LoadIconMetric.ok
comctl32-LoadIconMetric.ok:
	$(call APPLY_FILE,comctl32-LoadIconMetric/0001-comctl32-Implement-LoadIconMetric-function.patch)
	$(call APPLY_FILE,comctl32-LoadIconMetric/0002-comctl32-tests-Add-tests-for-LoadIconMetric-function.patch)
	@( \
		echo '+    { "comctl32-LoadIconMetric", "Michael Müller", "Implement LoadIconMetric function." },'; \
	) > comctl32-LoadIconMetric.ok

# Patchset configure-Absolute_RPATH
# |
# | Included patches:
# |   *	Also add the absolute RPATH when linking against libwine. [by Sebastian Lackner]
# |
# | This patchset fixes the following Wine bugs:
# |   *	[#26256] Support for setcap on wine-preloader
# |
# | Modified files:
# |   *	configure.ac
# |
.INTERMEDIATE: configure-Absolute_RPATH.ok
configure-Absolute_RPATH.ok:
