=== debian/changelog ===
wine-compholio (1.7.29) unstable; urgency=low
  * Updated DOS Attributes patch to better detect XATTR functions.
  * Updated patch for shell32 default folder ACLs.
  * Updated NtQuerySection patch.
  * Updated patch for WRITECOPY memory protection.
  * Added patch to support IDF_CHECKFIRST in SetupPromptForDisk.
  * Added patch to fix issues when executing pages with guard page / write watch permissions.
  * Added patch to set return value of basic_string_wchar_dtor to return NULL.
  * Added patch for UTF7 encoding/decoding support.
  * Added patch to implement ID3DXSkinInfoImpl_UpdateSkinnedMesh.
  * Added patch for implementation of D3DXGetShaderInputSemantics.
  * Added patch to ensure tests check exact return value of ParseURLFromOutsideSourceX.
  * Added patch for additional ATL thunks.
  * Added patch to add partially support for sessionStorage.
  * Added patch for implementation of GetNumaProcessorNode.
  * Added patch for wine64 support on FreeBSD/PC-BSD.
  * Added patch for improved multi monitor support.
  * Added patch for implementation of BindImageEx.
  * Removed patch to fix issues with drag image in ImageLists (accepted upstream).
  * Removed patch to set ldr.EntryPoint for main executable (accepted upstream).
  * Removed patch to implement stubs for [Get|Set]SystemFileCacheSize (accepted upstream).
  * Removed patches for ATL thunk implementation (accepted upstream).
  * Partially removed patches for WRITECOPY memory protection (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 19 Oct 2014 19:37:21 +0200

wine-compholio (1.7.28) unstable; urgency=low
  * Added missing recommendation for libtxc-dxtn-s2tc0 on Ubuntu.
  * Added patch to fix issues with over-the-spot input method.
  * Added patch to fix winemenubuilder desktop icon wine path (when using multiple wine versions).
  * Added patch to support FIND_FIRST_EX_CASE_SENSITIVE flag in FindFirstFileExW.
  * Added patch to send WM_PAINT event during dialog creation.
  * Added patch to fix issues when driver dispatch routine returns different status codes.
  * Added several patches for Unity3D Editor.
  * Added patch to fix differences between exception handling behaviour in Wine and Windows.
  * Added patch to export ?_BADOFF@std@@3_JB on both i386 and win64.
  * Added patch to limit cross thread access to ImmSet* functions.
  * Added patch for IRichEditOle and ITextDocument support for ITextServices.
  * Added patch to fix implementation of SH*Shared commands.
  * Added patch to handle WRITECOPY memory protection properly on i386 (disabled by default).
  * Added patch to fix some issues with write watches / guard page access.
  * Added patch to implement NtQuerySection.
  * Added patches to make clearly visible, that this is a patched wine version.
  * Added patch for FindFirstFileExW level FindExInfoBasic. 
  * Removed patch to support FIND_FIRST_EX_CASE_SENSITIVE flag in FindFirstFileExW (accepted upstream).
  * Removed patch to fix implementation of SH*Shared commands (accepted upstream).
  * Removed patch to export ?_BADOFF@std@@3_JB on both i386 and win64 (accepted upstream).
  * Partially removed patches for CreateProcess ACLs (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sat, 04 Oct 2014 04:36:22 +0200

wine-compholio (1.7.27) unstable; urgency=low
  * Fixed some issues in the patches for GetSystemTimes.
  * Added patch to support FIND_FIRST_EX_LARGE_FETCH flag in FindFirstFileExW.
  * Added patch to fix deadlock caused by incorrect wrapper of glu polygon/contour function.
  * Added patch to avoid filling out KdHelp for usermode applications.
  * Added patch to silence repeated GSUB_apply_ChainContext[Subst|Pos] FIXMEs.
  * Added patch to revert wined3d pixelformat changes (causes regression in many games).
  * Added patch to implement software decoding/encoding of DXT1 textures.
  * Removed patch to use assembly wrapper for TLS callbacks (accepted upstream).
  * Removed patch to fix uninitialized cch struct member in GetMenuItemInfo (accepted upstream).
  * Removed some patches for riched20/IText*-interface (accepted upstream).
  * Removed patch to fix deadlock caused by incorrect wrapper of glu functions (accepted upstream).
  * Removed patch for stub of BCryptGetFipsAlgorithmMode (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sat, 20 Sep 2014 05:52:23 +0200

wine-compholio (1.7.26) unstable; urgency=low
  * Added new make targets 'series' and 'install-git'.
  * Some improvements in the patch system scripts.
  * Fixed issues in the winepulse configure script.
  * Fixed some issues in patches for Inherited ACLs.
  * Fixed some issues in patches for backwards compatibility with old ACL format.
  * Added patch to fix unintentional leaks with ntdll internals.
  * Added patch to add support for DOS hidden/system file attributes.
  * Added patch to use dynamic linking for libpcap.
  * Added patch to fix issues when using setcap on wine executable.
  * Added patch to improve heap allocation performance by using more freelists.
  * Added patch to fix detection of ncurses on Archlinux (avoids ugly workarounds at build time).
  * Added patch to fix detection of gnutls on Ubuntu 14.10.
  * Added patch to use assembly wrapper for TLS callbacks.
  * Added patch to fix uninitialized cch struct member in GetMenuItemInfo.
  * Removed patch to fix issue with msi/ITERATE_MoveFiles (accepted upstream).
  * Removed patch to fix detection of ncurses on Archlinux (accepted upstream).
 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 07 Sep 2014 23:50:25 +0200

wine-compholio (1.7.25) unstable; urgency=low
  * Improve generation of README.md on patch update.
  * Updated patches for riched20 IText* Interface.
  * Fixed some issues in the patches for TransmitFile.
  * Fixed some issues in the patches for CreateProcess ACLs.
  * Fixed issue with gitapply.sh script on Gentoo systems.
  * Added patch with stub for DwmInvalidateIconicBitmaps.

