=== debian/control ===
Source: wine-compholio
Section: otherosfs
Priority: optional
Maintainer: Erich E. Hoover <erich.e.hoover@gmail.com>
XSBC-Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
Build-Depends: autotools-dev,
               autoconf,
               bison,
               bsdmainutils,
               coreutils,
               debhelper (>= 7),
               docbook-to-man,
               docbook-utils,
               docbook-xsl,
               flex,
               fontforge,
               gawk,
               gcc-4.5 | gcc-4.7 | ubuntu-desktop (<< 1.207),
               gettext,
               gzip,
               libacl1-dev,
               libasound2-dev,
               libcapi20-dev,
               libcups2-dev,
               libdbus-1-dev,
               libesd0 | libesd-alsa0,
               libesd0-dev,
               libfontconfig1-dev | libfontconfig-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | nvidia-glx-dev | fglrx-driver-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls-dev,
               libgphoto2-dev | libgphoto2-6-dev | libgphoto2-2-dev (>= 2.4.6),
               libgsm1-dev,
               libice-dev,
               libjpeg-dev,
               liblcms2-dev | ubuntu-desktop (<< 1.267),
               libldap2-dev, libldap-dev,
               libmpg123-dev,
               libncurses5-dev | libncurses-dev,
               libopenal-dev (>= 1:1.12) | ubuntu-desktop (<< 1.207),
               libpcap-dev,
               libpng12-dev,
               libpulse-dev,
               libsane-dev,
               libssl-dev,
               libstdc++6-4.5-dev | libstdc++-dev,
               libtiff5-dev | libtiff4-dev | libtiff-dev,
               libtxc-dxtn-s2tc-dev,
               libv4l-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxxf86vm-dev,
               linux-kernel-headers,
               linux-libc-dev,
               prelink,
               quilt (>= 0.46-7~),
               sharutils,
               unixodbc-dev,
               x11proto-xinerama-dev
Standards-Version: 3.9.2

Package: wine-compholio-i386
Architecture: i386
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            libasound2-plugins,
            libncurses5
Recommends: libcapi20-3,
            libcups2,
            libdbus-1-3,
            libfontconfig1 | libfontconfig,
            libfreetype6,
            libgnutls26,
            libgphoto2-6 | libgphoto2-2 (>= 2.4.6),
            libgphoto2-port10 | libgphoto2-port0 (>= 2.4.6),
            libjpeg8,
            libopenal1 (>= 1:1.12),
            libosmesa6,
            libpcap0.8,
            libpng12-0,
            libpulse0,
            libsane,
            libssl1.0.0,
            libtiff5 | libtiff4,
            libtxc-dxtn-s2tc0,
            libv4l-0,
            libxcomposite1,
            libxcursor1,
            libxi6,
            libxinerama1,
            libxrandr2,
            libxrender1,
            libxslt1.1,
            libxt6,
            libxxf86vm1,
            libodbc1,
            libgsm1
Section: otherosfs
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package provides support for loading 32-bit x86 Windows applications
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine-compholio-amd64
Architecture: amd64
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            libasound2-plugins,
            libncurses5
Recommends: libcapi20-3,
            libcups2,
            libdbus-1-3,
            libfontconfig1 | libfontconfig,
            libfreetype6,
            libgnutls26,
            libgphoto2-6 | libgphoto2-2 (>= 2.4.6),
            libgphoto2-port10 | libgphoto2-port0 (>= 2.4.6),
            libjpeg8,
            libopenal1 (>= 1:1.12),
            libosmesa6,
            libpcap0.8,
            libpng12-0,
            libpulse0,
            libsane,
            libssl1.0.0,
            libtiff5 | libtiff4,
            libtxc-dxtn-s2tc0,
            libv4l-0,
            libxcomposite1,
            libxcursor1,
            libxi6,
            libxinerama1,
            libxrandr2,
            libxrender1,
            libxslt1.1,
            libxt6,
            libxxf86vm1,
            libodbc1,
            libgsm1
Section: otherosfs
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package provides support for loading 64-bit x86 Windows applications
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine-compholio
Architecture: i386 amd64
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${misc:Depends}, ${shlibs:Depends},
            wine-compholio-i386  (= ${binary:Version}) [i386 amd64],
            wine-compholio-amd64 (= ${binary:Version}) [amd64],
Section: otherosfs
Priority: optional
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes a program loader for running unmodified Windows executables
 as well as the Wine project's free version of the Windows API for running programs
 ported from Windows.
 .
 This package is based on a recent Wine beta.  While many more applications will
 work, there may be some loss of functionality compared with the stable release
 provided by the regular wine package.

Package: wine-compholio-dev
Architecture: i386 amd64
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    libc6-dev,
            ${shlibs:Depends},
            wine-compholio-i386  (= ${binary:Version}) [i386 amd64],
            wine-compholio-amd64 (= ${binary:Version}) [amd64],
Section: libdevel
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package consists of the development files needed to compile programs
 using wine's free version of the Microsoft Windows API.

Package: wine-compholio-dbg
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: dpkg (>= 1.14.12ubuntu3), ${misc:Pre-Depends}
Depends:    ${shlibs:Depends},
            wine-compholio-i386  (= ${binary:Version}) [i386 amd64],
            wine-compholio-amd64 (= ${binary:Version}) [amd64],
Section: debug
Priority: optional
Replaces: wine-compholio (<< 1.7.15-1~)
Breaks: wine-compholio (<< 1.7.15-1~)
Description: The Compholio Edition is a special build of the popular Wine software
 with patches representing my current staging tree for Wine.
 .
 Microsoft Windows Compatibility Layer (Binary Emulator and Library)
 Wine is a compatibility layer for running Windows applications on Linux.
 Applications are run at full speed without the need of cpu emulation. Wine
 does not require Microsoft Windows, however it can use native system dll
 files in place of its own if they are available.
 .
 This package includes debugging symbols useful for reporting crashes and other
 failures.
