=== debian/rules ===
#!/usr/bin/make -f

# Use gcc-4.5 if it's available
ifeq ($(shell which gcc-4.5),)
	CC = gcc
else
	CC = gcc-4.5
endif

%:
	dh $@ --parallel


override_dh_auto_configure:

	# Apply our patches, reconfigure, and update the wineserver protocol request data
	make -C "$(CURDIR)/patches/" DESTDIR="$(CURDIR)" install

	# Run configure
ifeq ($(DEB_BUILD_ARCH), amd64)
	./configure --prefix=/opt/wine-compholio \
				--libdir=\$${prefix}/lib64 \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--enable-win64 \
				--without-gstreamer \
				--with-xattr \
				$(CONFFLAGS)
else
	./configure --prefix=/opt/wine-compholio \
				--libdir=\$${prefix}/lib \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--without-gstreamer \
				--with-xattr \
				$(CONFFLAGS)
endif


override_dh_auto_test:
	# Wine's test suite does not pass on build daemons, skip it for now


override_dh_installdocs:

	# Create copies of license files
	cp "$(CURDIR)/LICENSE" "$(CURDIR)/LICENSE.wine"
	cp "$(CURDIR)/LICENSE.md" "$(CURDIR)/LICENSE.wine-compholio"

	dh_installdocs --link-doc=wine-compholio


override_dh_install:
	dh_install --fail-missing

	# These files will end up in multiple packages otherwise
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine-preloader
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine64
	rm -f debian/wine-compholio/opt/wine-compholio/bin/wine64-preloader


override_dh_strip:
	dh_strip -Xwine-pthread -Xwine-kthread --dbg-package=wine-compholio-dbg


override_dh_shlibdeps:
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_shlibdeps -l $(CURDIR)/debian/tmp/opt/wine-compholio/lib64/
else
	dh_shlibdeps -l $(CURDIR)/debian/tmp/opt/wine-compholio/lib/
endif
